<?php

namespace Drupal\viewsreference_extras_test\Plugin\ViewsReferenceSetting;

use Drupal\Component\Plugin\PluginBase;
use Drupal\views\ViewExecutable;
use Drupal\viewsreference\Plugin\ViewsReferenceSettingInterface;

/**
 * Used to test the compression reload of settings.
 *
 * @ViewsReferenceSetting(
 *   id = "test_compression_reload_setting",
 *   label = @Translation("Test compression reload setting"),
 *   default_value = {},
 * )
 */
class TestCompressionReloadSetting extends PluginBase implements ViewsReferenceSettingInterface {

  /**
   * {@inheritdoc}
   */
  public function alterFormField(array &$form_field) {

    // Make a form field with an overly high amount of
    // options to cause the compression to still pass
    // the limits.
    // @see viewsreference_views_pre_render().
    $form_field['#title'] = 'Test compression';
    $form_field['#type'] = 'checkboxes';
    $form_field['#options'] = [];
    foreach (range(0, 500) as $number) {
      $form_field['#options']['test_option_' . $number] = 'test_option_' . $number;
    }
  }

  /**
   * {@inheritdoc}
   */
  public function alterView(ViewExecutable $view, $value) {
  }

}
